﻿using System.Text;
using Hack.Tools.TraceLog;

namespace Hack.Xenosaga.Common
{
    public class Variables
    {
        public struct stArgs
        {
            public string option;
            public string filename;
            public Encoding encode;
            public bool regroup;
        }

        public static TraceLog traceLog;

        public const string dirUnpack = "01-UNPACK/";
        public const string dirExtract = "02-EXTRACT/";
        public const string dirInsert = "03-INSERT/";
        public const string dirPack = "04-PACK/";
        public const string dirFinal = "05-FINAL/";

        public const string tblCard = "TABLES/card_ANSI.tbl";
        public const string tblEvtBox = "TABLES/evt_box_ANSI.tbl";
        public const string tblEvtVideo = "TABLES/evt_video_ANSI.tbl";
        public const string tblEvtItem = "TABLES/evtitem_ANSI.tbl";
    }
}
